package util;

import java.util.Comparator;

import dados.produto.Produto;

public class ComparadorProdutoNota implements Comparator<Produto>{

	@Override
	public int compare(Produto o1, Produto o2) {
		int retorno = 0;
		
		if(o1.getNota() > o2.getNota()){
			retorno = -1;
		} else if(o1.getNota() == o2.getNota()){
			if(o1.getAnoLancamento() > o2.getAnoLancamento()){
				retorno = -1;
			} else if(o1.getAnoLancamento() < o2.getAnoLancamento()){
				retorno = 1;
			} else {
				retorno = 0;
			}
		} else {
			retorno = 1;
		}
		
		return retorno;
	}

}
